Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.bpel.pmapi.impl
Class TScopeInfoImpl

    java.lang.Object
      org.apache.xmlbeans.impl.values.XmlObjectBase
          org.apache.xmlbeans.impl.values.XmlComplexContentImpl
              org.apache.ode.bpel.pmapi.impl.TScopeInfoImpl

All Implemented Interfaces:
  java.io.Serializable, TScopeInfo, org.apache.xmlbeans.impl.values.TypeStoreUser, org.apache.xmlbeans.SimpleValue, org.apache.xmlbeans.XmlObject, org.apache.xmlbeans.XmlTokenSource

    public class TScopeInfoImpl

extends org.apache.xmlbeans.impl.values.XmlComplexContentImpl
implements TScopeInfo

An XML tScopeInfo(@http://www.apache.org/ode/pmapi/types/2006/08/02/). This is a complex type.

See Also:
  Serialized Form

Nested Class Summary
`static class` | `TScopeInfoImpl.ActivitiesImpl` An XML activities(@http://www.apache.org/ode/pmapi/types/2006/08/02/).
`static class` | `TScopeInfoImpl.ChildrenImpl` An XML children(@http://www.apache.org/ode/pmapi/types/2006/08/02/).
`static class` | `TScopeInfoImpl.CorrelationSetsImpl` An XML correlation-sets(@http://www.apache.org/ode/pmapi/types/2006/08/02/).
`static class` | `TScopeInfoImpl.VariablesImpl` An XML variables(@http://www.apache.org/ode/pmapi/types/2006/08/02/).

Nested classes/interfaces inherited from interface org.apache.ode.bpel.pmapi.TScopeInfo
`TScopeInfo.Activities, TScopeInfo.Children, TScopeInfo.CorrelationSets, TScopeInfo.Factory, TScopeInfo.Variables`

Field Summary

Fields inherited from class org.apache.xmlbeans.impl.values.XmlObjectBase
`_voorVc, MAJOR_VERSION_NUMBER, MINOR_VERSION_NUMBER`

Fields inherited from interface org.apache.ode.bpel.pmapi.TScopeInfo
`type`

Fields inherited from interface org.apache.xmlbeans.XmlObject
`EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

Constructor Summary
`TScopeInfoImpl(org.apache.xmlbeans.SchemaType sType)`

Method Summary
`TScopeInfo.Activities` | `addNewActivities()` Appends and returns a new empty "activities" element
`TScopeInfo.Children` | `addNewChildren()` Appends and returns a new empty "children" element
`TScopeInfo.CorrelationSets` | `addNewCorrelationSets()` Appends and returns a new empty "correlation-sets" element
`TEndpointReferences` | `addNewEndpoints()` Appends and returns a new empty "endpoints" element
`TScopeRef` | `addNewParentScopeRef()` Appends and returns a new empty "parent-scope-ref" element
`TScopeInfo.Variables` | `addNewVariables()` Appends and returns a new empty "variables" element
`TScopeInfo.Activities` | `getActivities()` Gets the "activities" element
`TScopeInfo.Children` | `getChildren()` Gets the "children" element
`TScopeInfo.CorrelationSets` | `getCorrelationSets()` Gets the "correlation-sets" element
`TEndpointReferences` | `getEndpoints()` Gets the "endpoints" element
`java.lang.String` | `getName()` Gets the "name" element
`TScopeRef` | `getParentScopeRef()` Gets the "parent-scope-ref" element
`java.lang.String` | `getSiid()` Gets the "siid" element
`TScopeStatus.Enum` | `getStatus()` Gets the "status" element
`TScopeInfo.Variables` | `getVariables()` Gets the "variables" element
`boolean` | `isSetActivities()` True if has "activities" element
`boolean` | `isSetChildren()` True if has "children" element
`boolean` | `isSetCorrelationSets()` True if has "correlation-sets" element
`boolean` | `isSetParentScopeRef()` True if has "parent-scope-ref" element
`boolean` | `isSetVariables()` True if has "variables" element
`void` | `setActivities(TScopeInfo.Activities activities)` Sets the "activities" element
`void` | `setChildren(TScopeInfo.Children children)` Sets the "children" element
`void` | `setCorrelationSets(TScopeInfo.CorrelationSets correlationSets)` Sets the "correlation-sets" element
`void` | `setEndpoints(TEndpointReferences endpoints)` Sets the "endpoints" element
`void` | `setName(java.lang.String name)` Sets the "name" element
`void` | `setParentScopeRef(TScopeRef parentScopeRef)` Sets the "parent-scope-ref" element
`void` | `setSiid(java.lang.String siid)` Sets the "siid" element
`void` | `setStatus(TScopeStatus.Enum status)` Sets the "status" element
`void` | `setVariables(TScopeInfo.Variables variables)` Sets the "variables" element
`void` | `unsetActivities()` Unsets the "activities" element
`void` | `unsetChildren()` Unsets the "children" element
`void` | `unsetCorrelationSets()` Unsets the "correlation-sets" element
`void` | `unsetParentScopeRef()` Unsets the "parent-scope-ref" element
`void` | `unsetVariables()` Unsets the "variables" element
`org.apache.xmlbeans.XmlString` | `xgetName()` Gets (as xml) the "name" element
`org.apache.xmlbeans.XmlString` | `xgetSiid()` Gets (as xml) the "siid" element
`TScopeStatus` | `xgetStatus()` Gets (as xml) the "status" element
`void` | `xsetName(org.apache.xmlbeans.XmlString name)` Sets (as xml) the "name" element
`void` | `xsetSiid(org.apache.xmlbeans.XmlString siid)` Sets (as xml) the "siid" element
`void` | `xsetStatus(TScopeStatus status)` Sets (as xml) the "status" element

Methods inherited from class org.apache.xmlbeans.impl.values.XmlComplexContentImpl
`arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, compute_text, equal_to, get_default_attribute_text, get_default_element_text, get_elementflags, is_child_element_order_sensitive, new_visitor, schemaType, set_nil, set_String, set_text, unionArraySetterHelper, unionArraySetterHelper, update_from_complex_content, value_hash_code`

Methods inherited from class org.apache.xmlbeans.impl.values.XmlObjectBase
`_isComplexContent, _isComplexType, _validateOnSet, attach_store, bigDecimalValue, bigIntegerValue, booleanValue, build_nil, build_text, byteArrayValue, byteValue, calendarValue, changeType, check_dated, check_orphaned, compare_to, compareTo, compareValue, copy, create_attribute_user, create_element_user, dateValue, disconnect_store, documentProperties, doubleValue, dump, elementFlags, enumValue, equals, execQuery, execQuery, floatValue, gDateValue, gDurationValue, get_attribute_field, get_attribute_type, get_attributeflags, get_default_attribute_value, get_element_ending_delimiters, get_element_type, get_schema_type, get_store, get_wscanon_rule, get_wscanon_text, getBigDecimalValue, getBigIntegerValue, getBooleanValue, getByteArrayValue, getByteValue, getCalendarValue, getDateValue, getDomNode, getDoubleValue, getEnumValue, getFloatValue, getGDateValue, getGDurationValue, getIntValue, getListValue, getLongValue, getObjectValue, getQNameValue, getShortValue, getStringValue, getXmlLocale, has_store, hashCode, init_flags, initComplexType, instanceType, intValue, invalidate_element_order, invalidate_nilvalue, invalidate_value, is_defaultable_ws, is_orphaned, isDefault, isDefaultable, isFixed, isImmutable, isInstanceOf, isNil, isNillable, java_value, listValue, longValue, monitor, newCursor, newCursorForce, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, objectSet, objectValue, qNameValue, save, save, save, save, save, save, save, save, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set_b64, set_BigDecimal, set_BigInteger, set_boolean, set_byte, set_ByteArray, set_Calendar, set_char, set_ComplexXml, set_Date, set_double, set_enum, set_float, set_GDate, set_GDuration, set_hex, set_int, set_list, set_long, set_newValue, set_notation, set_QName, set_short, set_xmlanysimple, set, set, set, set, set, set, set, set, set, set, set, set, set, set, set, set, set, set, set, setBigDecimalValue, setBigIntegerValue, setBooleanValue, setByteArrayValue, setByteValue, setCalendarValue, setDateValue, setDoubleValue, setEnumValue, setFloatValue, setGDateValue, setGDurationValue, setImmutable, setIntValue, setListValue, setLongValue, setNil, setObjectValue, setQNameValue, setShortValue, setStringValue, setValidateOnSet, shortValue, stringValue, substitute, toString, uses_invalidate_value, validate_now, validate_simpleval, validate, validate, valueEquals, valueHashCode, writeReplace, xgetListValue, xlistValue, xmlText, xmlText`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.xmlbeans.XmlObject
`changeType, compareTo, compareValue, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

Methods inherited from interface org.apache.xmlbeans.XmlTokenSource
`documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

Constructor Detail

### TScopeInfoImpl

    public TScopeInfoImpl(org.apache.xmlbeans.SchemaType sType)

Method Detail

### getSiid

    public java.lang.String getSiid()

  Gets the "siid" element

  Specified by:
    `getSiid` in interface `TScopeInfo`

### xgetSiid

    public org.apache.xmlbeans.XmlString xgetSiid()

  Gets (as xml) the "siid" element

  Specified by:
    `xgetSiid` in interface `TScopeInfo`

### setSiid

    public void setSiid(java.lang.String siid)

  Sets the "siid" element

  Specified by:
    `setSiid` in interface `TScopeInfo`

### xsetSiid

    public void xsetSiid(org.apache.xmlbeans.XmlString siid)

  Sets (as xml) the "siid" element

  Specified by:
    `xsetSiid` in interface `TScopeInfo`

### getName

    public java.lang.String getName()

  Gets the "name" element

  Specified by:
    `getName` in interface `TScopeInfo`

### xgetName

    public org.apache.xmlbeans.XmlString xgetName()

  Gets (as xml) the "name" element

  Specified by:
    `xgetName` in interface `TScopeInfo`

### setName

    public void setName(java.lang.String name)

  Sets the "name" element

  Specified by:
    `setName` in interface `TScopeInfo`

### xsetName

    public void xsetName(org.apache.xmlbeans.XmlString name)

  Sets (as xml) the "name" element

  Specified by:
    `xsetName` in interface `TScopeInfo`

### getStatus

    public TScopeStatus.Enum getStatus()

  Gets the "status" element

  Specified by:
    `getStatus` in interface `TScopeInfo`

### xgetStatus

    public TScopeStatus xgetStatus()

  Gets (as xml) the "status" element

  Specified by:
    `xgetStatus` in interface `TScopeInfo`

### setStatus

    public void setStatus(TScopeStatus.Enum status)

  Sets the "status" element

  Specified by:
    `setStatus` in interface `TScopeInfo`

### xsetStatus

    public void xsetStatus(TScopeStatus status)

  Sets (as xml) the "status" element

  Specified by:
    `xsetStatus` in interface `TScopeInfo`

### getParentScopeRef

    public TScopeRef getParentScopeRef()

  Gets the "parent-scope-ref" element

  Specified by:
    `getParentScopeRef` in interface `TScopeInfo`

### isSetParentScopeRef

    public boolean isSetParentScopeRef()

  True if has "parent-scope-ref" element

  Specified by:
    `isSetParentScopeRef` in interface `TScopeInfo`

### setParentScopeRef

    public void setParentScopeRef(TScopeRef parentScopeRef)

  Sets the "parent-scope-ref" element

  Specified by:
    `setParentScopeRef` in interface `TScopeInfo`

### addNewParentScopeRef

    public TScopeRef addNewParentScopeRef()

  Appends and returns a new empty "parent-scope-ref" element

  Specified by:
    `addNewParentScopeRef` in interface `TScopeInfo`

### unsetParentScopeRef

    public void unsetParentScopeRef()

  Unsets the "parent-scope-ref" element

  Specified by:
    `unsetParentScopeRef` in interface `TScopeInfo`

### getChildren

    public TScopeInfo.Children getChildren()

  Gets the "children" element

  Specified by:
    `getChildren` in interface `TScopeInfo`

### isSetChildren

    public boolean isSetChildren()

  True if has "children" element

  Specified by:
    `isSetChildren` in interface `TScopeInfo`

### setChildren

    public void setChildren(TScopeInfo.Children children)

  Sets the "children" element

  Specified by:
    `setChildren` in interface `TScopeInfo`

### addNewChildren

    public TScopeInfo.Children addNewChildren()

  Appends and returns a new empty "children" element

  Specified by:
    `addNewChildren` in interface `TScopeInfo`

### unsetChildren

    public void unsetChildren()

  Unsets the "children" element

  Specified by:
    `unsetChildren` in interface `TScopeInfo`

### getActivities

    public TScopeInfo.Activities getActivities()

  Gets the "activities" element

  Specified by:
    `getActivities` in interface `TScopeInfo`

### isSetActivities

    public boolean isSetActivities()

  True if has "activities" element

  Specified by:
    `isSetActivities` in interface `TScopeInfo`

### setActivities

    public void setActivities(TScopeInfo.Activities activities)

  Sets the "activities" element

  Specified by:
    `setActivities` in interface `TScopeInfo`

### addNewActivities

    public TScopeInfo.Activities addNewActivities()

  Appends and returns a new empty "activities" element

  Specified by:
    `addNewActivities` in interface `TScopeInfo`

### unsetActivities

    public void unsetActivities()

  Unsets the "activities" element

  Specified by:
    `unsetActivities` in interface `TScopeInfo`

### getVariables

    public TScopeInfo.Variables getVariables()

  Gets the "variables" element

  Specified by:
    `getVariables` in interface `TScopeInfo`

### isSetVariables

    public boolean isSetVariables()

  True if has "variables" element

  Specified by:
    `isSetVariables` in interface `TScopeInfo`

### setVariables

    public void setVariables(TScopeInfo.Variables variables)

  Sets the "variables" element

  Specified by:
    `setVariables` in interface `TScopeInfo`

### addNewVariables

    public TScopeInfo.Variables addNewVariables()

  Appends and returns a new empty "variables" element

  Specified by:
    `addNewVariables` in interface `TScopeInfo`

### unsetVariables

    public void unsetVariables()

  Unsets the "variables" element

  Specified by:
    `unsetVariables` in interface `TScopeInfo`

### getCorrelationSets

    public TScopeInfo.CorrelationSets getCorrelationSets()

  Gets the "correlation-sets" element

  Specified by:
    `getCorrelationSets` in interface `TScopeInfo`

### isSetCorrelationSets

    public boolean isSetCorrelationSets()

  True if has "correlation-sets" element

  Specified by:
    `isSetCorrelationSets` in interface `TScopeInfo`

### setCorrelationSets

    public void setCorrelationSets(TScopeInfo.CorrelationSets correlationSets)

  Sets the "correlation-sets" element

  Specified by:
    `setCorrelationSets` in interface `TScopeInfo`

### addNewCorrelationSets

    public TScopeInfo.CorrelationSets addNewCorrelationSets()

  Appends and returns a new empty "correlation-sets" element

  Specified by:
    `addNewCorrelationSets` in interface `TScopeInfo`

### unsetCorrelationSets

    public void unsetCorrelationSets()

  Unsets the "correlation-sets" element

  Specified by:
    `unsetCorrelationSets` in interface `TScopeInfo`

### getEndpoints

    public TEndpointReferences getEndpoints()

  Gets the "endpoints" element

  Specified by:
    `getEndpoints` in interface `TScopeInfo`

### setEndpoints

    public void setEndpoints(TEndpointReferences endpoints)

  Sets the "endpoints" element

  Specified by:
    `setEndpoints` in interface `TScopeInfo`

### addNewEndpoints

    public TEndpointReferences addNewEndpoints()

  Appends and returns a new empty "endpoints" element

  Specified by:
    `addNewEndpoints` in interface `TScopeInfo`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD